<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: ControladorLista_reproduccion</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: ControladorLista_reproduccion</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>ControladorLista_reproduccion<span class="signature">()</span><span class="type-signature"></span></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    

    
    <h4 class="name" id="ControladorLista_reproduccion"><span class="type-signature"></span>new ControladorLista_reproduccion<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorLista_reproduccion.js.html">ControladorLista_reproduccion.js</a>, <a href="ControladorLista_reproduccion.js.html#line15">line 15</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="crear_listar"><span class="type-signature"></span>crear_listar<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para crear una lista de reproducción
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para obtener el external id de la persona, y los datos de la lista de reproducción; además presenta los mensajes de información o error según corresponda.</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para redireccionar a la ventana ListaReproduccion en el caso de que haya un error, o de que la operación se haya completado correctamente</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorLista_reproduccion.js.html">ControladorLista_reproduccion.js</a>, <a href="ControladorLista_reproduccion.js.html#line101">line 101</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="guardar_caratula"><span class="type-signature"></span>guardar_caratula<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para cambiar la caratula de la lista de reproducción
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para presentar los mensajes respectivos de información o de error, y también para obtener la imagen que el usuario haya subido en el input llamado "caratula" con el fin de guardar en la carpeta caratulas</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para redireccionar a la ventana ListaReproduccion en el caso de que haya un error o de que todo salga bien</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorLista_reproduccion.js.html">ControladorLista_reproduccion.js</a>, <a href="ControladorLista_reproduccion.js.html#line131">line 131</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="visualizar_caratula_listar"><span class="type-signature"></span>visualizar_caratula_listar<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para visualizar la ventana de EditarCaratulaLista en la cuál se podrá subir un archivo de tipo png,jpeg o jpg, para cambiar la imagen de la lista de reproducción
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para obtener el external id de la lista de reproducción, el nombre de la lista, y presentar los mensajes de error e información</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para direccionar a la ventana de EditarCaratulaLista y en el caso de que exista algún error, redireccionará a la ventana de ListaReproduccion</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorLista_reproduccion.js.html">ControladorLista_reproduccion.js</a>, <a href="ControladorLista_reproduccion.js.html#line76">line 76</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="visualizar_contenido_listar"><span class="type-signature"></span>visualizar_contenido_listar<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para visualizar las canciones que se encuentran dentro de la lista de reproducción
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para obtener el external id de la lista, y para presentar los mensajes de error o de información</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para direccionar a la ventana de VisualizarListaReproduccion, y en el caso de que exista un error redireccionará a la ventana de ListaReproduccion</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorLista_reproduccion.js.html">ControladorLista_reproduccion.js</a>, <a href="ControladorLista_reproduccion.js.html#line48">line 48</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="visualizar_listar"><span class="type-signature"></span>visualizar_listar<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para visualizar la ventana de ListaReproduccion en la cuál estarán todas las listas que el usuario haya creado
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para obtener el nombre del artista, y presentar los mensajes de información o de error</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para direccionar a la ventana de ListaReproduccion, y en el caso de que exista un error redireccionará a la ventana principal</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorLista_reproduccion.js.html">ControladorLista_reproduccion.js</a>, <a href="ControladorLista_reproduccion.js.html#line25">line 25</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="ControladorLista_reproduccion.html">ControladorLista_reproduccion</a></li></ul><h3>Global</h3><ul><li><a href="global.html#quitarespacios">quitarespacios</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Sun Aug 25 2019 04:13:09 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>